unit uBizControlVentasProceso;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uBizControlesBase,
  uBizVentasProceso;

const
  BIZ_CONTROL_VENTASPROCESO = 'Client.Control_VentasProceso';

type
  IBizControlVentasProceso = interface(IBizControlBase)
  ['{3D515579-7374-444F-8983-8FFE1C7A38C4}']
    procedure SetItems(const Value : IBizVentasProceso);
    function GetItems : IBizVentasProceso;
    property Items : IBizVentasProceso read GetItems write SetItems;
  end;

  TBizControlVentasProcesoTableRules = class(TBizControlBaseDataTableRules, IBizControlVentasProceso)
  protected
    FItems : IBizVentasProceso;
    procedure OnNewRecord(Sender: TDADataTable); override;
    procedure SetItems(const Value : IBizVentasProceso); virtual;
    function GetItems : IBizVentasProceso; virtual;
  public
    procedure Show; override;
    property Items : IBizVentasProceso read GetItems write SetItems;
  end;


implementation

uses
  uEditorUtils, uDataModuleVentasProceso;

{ TBizControlVentasProcesoTableRules }

function TBizControlVentasProcesoTableRules.GetItems: IBizVentasProceso;
begin
  Result := FItems;
end;

procedure TBizControlVentasProcesoTableRules.OnNewRecord(
  Sender: TDADataTable);
begin
  inherited;
  CATEGORIA := CATEGORIA_VENTAS_PROCESO
end;

procedure TBizControlVentasProcesoTableRules.SetItems(
  const Value: IBizVentasProceso);
begin
  FItems := Value;
end;

procedure TBizControlVentasProcesoTableRules.Show;
begin
  inherited;
  ShowEditor(IBizControlVentasProceso, Self, etItem);
end;

initialization
  RegisterDataTableRules(BIZ_CONTROL_VENTASPROCESO, TBizControlVentasProcesoTableRules);

finalization
end.


